Bug 749484 - CVE-2011-4081 kernel: crypto: ghash: null pointer deref if no key is set [fedora-all]
CVE-2011-4081 kernel: crypto: ghash: null pointer deref if no key is set [fed...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-4081
  Show dependency treegraph
 
Reported: 2011-10-27 04:10 EDT by Eugene Teo (Security Response)
Modified: 2011-11-04 16:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: kernel-2.6.35.14-103.fc14
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 16:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-10-27 04:10:03 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=749475

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Josh Boyer 2011-10-27 07:38:03 EDT
7ed47b7d142ec99ad6880bbbec51e9f12b3af74c is in 3.1, so F16 and rawhide are fixed.

bf9f0eb856b58c7b35b38f7fc7340a889e7905e3 is the 3.0.y stable backport of the fix, and was released in 3.0.8 so F15 is also fixed.

F14 needs a fix.
Comment 2 Josh Boyer 2011-10-27 09:00:30 EDT
Fixed in fedora git.
Comment 3 Fedora Update System 2011-10-31 16:24:42 EDT
kernel-2.6.35.14-103.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kernel-2.6.35.14-103.fc14
Comment 4 Fedora Update System 2011-11-02 02:56:35 EDT
Package kernel-2.6.35.14-103.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.35.14-103.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15241
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-11-04 16:28:52 EDT
kernel-2.6.35.14-103.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.